Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkReferenceCount Class Reference

`#include <vtkReferenceCount.h>`

Inheritance diagram for vtkReferenceCount:

[legend]
Collaboration diagram for vtkReferenceCount:

[legend]
List of all members.

## Detailed Description

Obsolete / empty subclass of object.

Date:
  2002/01/22 15:26:16

Revision:
  1.24

vtkReferenceCount functionality has now been moved into vtkObject

See also:
  vtkObject

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (61%)
  - Martin, Ken (22%)
  - Kelly, Ann (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Common/vtkReferenceCount.cxx)`
  - .`h` (`/Common/vtkReferenceCount.h)`

Definition at line 44 of file vtkReferenceCount.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
vtkReferenceCount * | New ()
int | IsTypeOf (const char *type)
vtkReferenceCount * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkReferenceCount ()
| ~vtkReferenceCount ()

## Member Typedef Documentation

typedef vtkObject vtkReferenceCount::Superclass

| Reimplemented from vtkObject. Definition at line 49 of file vtkReferenceCount.h.

## Constructor & Destructor Documentation

vtkReferenceCount::vtkReferenceCount | ( |  | ) | `[protected]`

vtkReferenceCount::~vtkReferenceCount | ( |  | ) | `[protected]`

## Member Function Documentation

vtkReferenceCount* vtkReferenceCount::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkReferenceCount::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkReferenceCount::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkReferenceCount::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkReferenceCount* vtkReferenceCount::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkReferenceCount::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

The documentation for this class was generated from the following file:

- Common/vtkReferenceCount.h